Skip to main content
GET
/
v1
/
tx-subscriptions
/
{subscription_id}
Find subscription by ID
curl --request GET \
  --url https://api.zerion.io/v1/tx-subscriptions/{subscription_id} \
  --header 'Authorization: Basic <encoded-value>'
{
  "data": {
    "type": "transactions_subscription",
    "id": "52d994a173d755e99845e861d534a419",
    "attributes": {
      "callback_url": "https://webhook.site/fcd606d2-f5bd-4832-9874-ff07c980b5a3",
      "created_at": "2022-08-15T11:26:31+00:00",
      "updated_at": "2022-08-15T11:26:31+00:00"
    },
    "relationships": {
      "chains": [
        {
          "links": {
            "related": "https://api.zerion.io/v1/chains/polygon"
          },
          "data": {
            "type": "chains",
            "id": "polygon"
          }
        }
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

subscription_id
string
required

ID of the subscription

Response

Response for requested wallet's transactions subscription

data
object
required